"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const baseProj_1 = require("./baseProj");
const es_1 = require("zip-i/es");
const globalData_1 = require("../../../model/globalData");
const util_1 = require("../../../common/util");
const template_1 = require("../../../common/template");
class AngularProj extends baseProj_1.BaseProj {
    getQuestions() {
        let questionList = [
            {
                name: "antDesign",
                type: "list",
                message: "是否引入Ant Design",
                default: "是",
                choices: ["是", "否"]
            }
        ];
        return questionList;
    }
    run() {
        return __awaiter(this, void 0, void 0, function* () {
            let answer = yield this.getAnswers();
            let templateZipFile = template_1.TemplateData.getProjectTemplate("angular.zip");
            yield es_1.unzipPath(templateZipFile, globalData_1.GlobalData.projectRootPath);
            yield this.addAntDesign();
        });
    }
    addAntDesign() {
        return __awaiter(this, void 0, void 0, function* () {
            yield util_1.editPackageJson(globalData_1.GlobalData.projectRootPath, json => {
                Object.assign(json.devDependencies, {
                    "ng-zorro-antd": "^0.6.8"
                });
            });
        });
    }
}
exports.AngularProj = AngularProj;
//# sourceMappingURL=angularProj.js.map