"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const es_1 = require("fs-i/es");
const fs_1 = require("fs");
function editPackageJson(projectPath, edit) {
    return __awaiter(this, void 0, void 0, function* () {
        yield editFile(path.join(projectPath, "package.json"), fileContent => {
            let json = JSON.parse(fileContent);
            edit(json);
            return JSON.stringify(json, null, 2);
        });
    });
}
exports.editPackageJson = editPackageJson;
function editFile(fileName, edit) {
    return __awaiter(this, void 0, void 0, function* () {
        let fileContent = yield es_1.readFileUtf8(fileName);
        fileContent = edit(fileContent);
        yield fs_1.writeFileSync(fileName, fileContent);
    });
}
exports.editFile = editFile;
function getCreateProjectPath() {
    return path.join(__dirname, "..", "..");
}
exports.getCreateProjectPath = getCreateProjectPath;
//# sourceMappingURL=util.js.map