"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const browserify = require("browserify");
const fs_1 = require("fs");
function readProjectConfig(configFileName) {
    return __awaiter(this, void 0, void 0, function* () {
        return new Promise((resolve, reject) => {
            let targetFile = configFileName + Math.random() + ".js";
            try {
                let fileWriter = fs_1.createWriteStream(targetFile);
                let reader = browserify()
                    .add(configFileName)
                    .plugin("tsify", { noImplicitAny: true, target: "es6" })
                    .bundle();
                let fileContent = "";
                reader.on("data", data => {
                    fileContent += data;
                });
                reader.on("end", () => {
                    fileContent = (fileContent || "").replace(/\r\n/g, "\n").trim();
                    let start = fileContent.indexOf("\n");
                    let end = fileContent.lastIndexOf("\n");
                    fileWriter.write(fileContent.substring(start, end));
                    let file = require(targetFile);
                    let projectConfig = (file.default || file);
                    resolve(projectConfig);
                    fs_1.unlinkSync(targetFile);
                });
            }
            catch (e) {
                if (fs_1.existsSync(targetFile)) {
                    fs_1.unlinkSync(targetFile);
                }
                reject(e);
            }
        });
    });
}
exports.readProjectConfig = readProjectConfig;
//# sourceMappingURL=readProjectConfig.js.map